# profile/init
ifndef DISTCFG_MK
DISTCFG_MK = 1
# profile/bare
MKIMAGE_PREFIX ?= /usr/share/mkimage
IMAGEDIR ?= /home/mike/out
LOGDIR ?= /home/mike/out
BRANDING ?= altlinux-sisyphus
IMAGE_INIT_LIST = +branding-$(BRANDING)-release
# distro/.init
META_PREPARER ?= mkimage-profiles
META_APP_ID ?= rescue-lks
META_PUBLISHER = ALT Linux Team
# use/kernel
FEATURES += kernel
#KFLAVOURS = un-def # overridden by distro/rescue-lks
# distro/.base
META_SYSTEM_ID = LINUX
META_VOL_ID = ALT Linux rescue-lks/x86_64
META_VOL_SET = ALT Linux
# sub/stage1
SUBPROFILES += stage1
# use/stage2
FEATURES += stage2
STAGE1_PACKAGES += file make-initrd make-initrd-propagator propagator
# sub/stage2@rescue
SUBPROFILES += stage2@rescue
# use/syslinux
FEATURES += syslinux
STAGE1_PACKAGES += syslinux
META_SYSTEM_ID ?= SYSLINUX
RELNAME = ALT Linux (rescue-lks)
# use/syslinux/sdab.cfg
SYSLINUX_CFG += sdab
# use/firmware
FEATURES += firmware
SYSTEM_PACKAGES += firmware-linux
# use/firmware/server
SYSTEM_PACKAGES += firmware-aic94xx-seq
THE_PACKAGES_REGEXP += firmware-ql.*
# use/firmware/wireless
THE_KMODULES += bcmwl ndiswrapper
THE_PACKAGES += firmware-acx100
THE_PACKAGES_REGEXP += firmware-carl9170.*
THE_PACKAGES_REGEXP += firmware-prism.*
THE_PACKAGES_REGEXP += firmware-ipw.*
THE_PACKAGES_REGEXP += firmware-zd.*
# use/rescue
FEATURES += rescue
RESCUE_LISTS +=  openssh tagged/network+extra tagged/base+rescue tagged/base+network tagged/rescue+extra
# use/syslinux/ui/menu
SYSLINUX_UI = menu
# distro/rescue-lks
KFLAVOURS = lks-wks
# use/build-distro
FEATURES += build-distro
# config/name/rescue-lks
IMAGE_NAME = rescue-lks
# use/pack
FEATURES += pack
# boot/isolinux
BOOTLOADER = isolinux
# use/isohybrid
FEATURES += isohybrid
POSTPROCESS_TARGETS += 80isohybrid
# use/pack/iso
IMAGE_PACKTYPE = isoboot
# config/pack/iso
IMAGE_TYPE = iso
# profile/finalize
SUBPROFILE_DIRS = $(notdir $(subst @,/,$(SUBPROFILES)))
-include /home/mike/.mkimage/profiles.mk
endif
